## akonadi 24.08.2

=== debian/changelog ===
akonadi (4:24.08.2-1ubuntu2) plucky; urgency=medium

  * Fix install file.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 06 Nov 2024 13:01:07 -0600

akonadi (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental. Remaining changes:
    - Kubuntuify.
    - Add AppArmor profiles.
    - Add several patches fixing MySQL handling.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 31 Oct 2024 11:08:03 -0500

akonadi (4:24.08.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Oct 2024 15:01:54 +0200

akonadi (4:24.08.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Disable optimizations on 32-bit arm architectures.

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Sep 2024 00:48:38 +0200

akonadi (4:24.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.0).
  * Update build-deps and deps with the info from cmake and new binary
    packages.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Do not rely on dpkg_late_eval any more to set the ABI-version for
    the virtual package.

 -- Patrick Franz <deltaone@debian.org>  Sat, 24 Aug 2024 22:40:33 +0200

akonadi (4:24.05.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.05.2).
  * Remove redundant patches.
  * Update build-deps and deps with the info from cmake and new binary
    packages.
  * Add missing Breaks+Replaces against old KF5-based packages.
  * Mark akonadi-backend-sqlite as Arch:all as it is an empty package.
  * Update d/copyright.

  [ Sandro Knauß ]
  * Prefer sqlite backend for new installations.

 -- Patrick Franz <deltaone@debian.org>  Sun, 14 Jul 2024 13:03:14 +0200
