=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: akonadi
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>,
            Sandro Knauß <hefee@debian.org>,
            Patrick Franz <deltaone@debian.org>,
@@ -12,35 +11,36 @@
                dh-apparmor,
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
                gettext,
                libaccounts-qt6-dev (>= 1.16~),
                libboost-dev (>= 1.34.0~),
                libkaccounts6-dev (>= 4:19.08.0~),
-               libkf6config-dev (>= 6.3.0~),
-               libkf6configwidgets-dev (>= 6.3.0~),
-               libkf6coreaddons-dev (>= 6.3.0~),
-               libkf6crash-dev (>= 6.3.0~),
-               libkf6i18n-dev (>= 6.3.0~),
-               libkf6iconthemes-dev (>= 6.3.0~),
-               libkf6itemmodels-dev (>= 6.3.0~),
-               libkf6widgetsaddons-dev (>= 6.3.0~),
-               libkf6xmlgui-dev (>= 6.3.0~),
+               libkf6config-dev (>= 6.6.0~),
+               libkf6configwidgets-dev (>= 6.6.0~),
+               libkf6coreaddons-dev (>= 6.6.0~),
+               libkf6crash-dev (>= 6.6.0~),
+               libkf6i18n-dev (>= 6.6.0~),
+               libkf6iconthemes-dev (>= 6.6.0~),
+               libkf6itemmodels-dev (>= 6.6.0~),
+               libkf6widgetsaddons-dev (>= 6.6.0~),
+               libkf6xmlgui-dev (>= 6.6.0~),
                liblzma-dev (>= 5.0.0~),
                libpq-dev,
+               libsignon-qt6-dev,
                libxml2-dev,
                libxml2-utils,
                libxslt1-dev,
                pkgconf,
-               qt6-base-dev (>= 6.6.0+dfsg~),
-               qt6-base-private-dev,
+               qt6-base-dev (>= 6.7.0~),
+               qt6-base-private-dev (>= 6.7.0~),
                qt6-tools-dev (>= 6.6.0~),
                shared-mime-info (>= 1.8~),
                xsltproc,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/akonadi
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi.git
 Rules-Requires-Root: no
 
 Package: akonadi-backend-mysql
@@ -89,6 +89,10 @@
  This package installs everything what's needed for Akonadi to work with SQLite
  as underlying data storage engine. Since SQLite is an embedded database
  engine, a separate SQL server daemon is not necessary.
+ .
+ In addition, the package contains an improved QSql driver for SQLite named
+ "QSQLite3". It can be used by any application that needs to access SQLite
+ databases via standard Qt QSql framework.
 
 Package: akonadi-server
 Section: net
@@ -121,16 +125,16 @@
 Section: libdevel
 Architecture: any
 Depends: libakonadiserver-dev (>= ${binary:Version}),
-         libkf6config-dev (>= 6.3.0~),
-         libkf6configwidgets-dev (>= 6.3.0~),
-         libkf6coreaddons-dev (>= 6.3.0~),
-         libkf6itemmodels-dev (>= 6.3.0~),
-         libkf6xmlgui-dev (>= 6.3.0~),
+         libkf6config-dev (>= 6.6.0~),
+         libkf6configwidgets-dev (>= 6.6.0~),
+         libkf6coreaddons-dev (>= 6.6.0~),
+         libkf6itemmodels-dev (>= 6.6.0~),
+         libkf6xmlgui-dev (>= 6.6.0~),
          libkpim6akonadiagentbase6 (= ${binary:Version}),
          libkpim6akonadicore6 (= ${binary:Version}),
          libkpim6akonadiwidgets6 (= ${binary:Version}),
          libkpim6akonadixml6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0+dfsg~),
+         qt6-base-dev (>= 6.7.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Breaks: libkf5akonadi-dev,
