=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders: Sune Vuorela <debian@pusling.com>,
            Sandro Knauß <hefee@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
-               default-libmysqlclient-dev,
+Build-Depends: debhelper-compat (= 13),
                dh-apparmor,
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
+               default-libmysqlclient-dev,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
                libaccounts-qt6-dev (>= 1.16~),
