=== tests/CMakeLists.txt ===
add_subdirectory(libs)
