=== debian/changelog ===
akonadi (4:24.12.3-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Backport patch to show all folders in kmail (Closes: #1113998).

 -- Patrick Franz <deltaone@debian.org>  Sun, 07 Sep 2025 12:52:29 +0200

akonadi (4:24.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.3).
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Mar 2025 18:47:17 +0100
