=== debian/control ===
--- 
+++ 
@@ -37,7 +37,7 @@
                qt6-tools-dev (>= 6.6.0~),
                shared-mime-info (>= 1.8~),
                xsltproc,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/pim/akonadi
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi.git
